%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{?!pybasever:%{expand:%%define pybasever %(python -c "import sys ; print sys.version[:3]")}}

Name:		python-twisted
Version:	12.1.0
Release:	1.0.cf%{?dist}
Summary:	Event-based framework for Internet applications
Group:		Development/Libraries
License:	MIT
URL:		http://twistedmatrix.com/
Source0:	README.fedora
Source1:	PKG-INFO
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
BuildRequires:	python2 >= 2.5
Requires:	python2 >= 2.5

Requires:	python-twisted-core	>= %{version}
Requires:	python-twisted-conch	>= 12.1.0
Requires:	python-twisted-lore	>= 12.1.0
Requires:	python-twisted-mail	>= 12.1.0
Requires:	python-twisted-names	>= 12.1.0
Requires:	python-twisted-news	>= 12.1.0
Requires:	python-twisted-runner	>= 12.1.0
Requires:	python-twisted-web	>= 12.1.0
Requires:	python-twisted-words	>= 12.1.0

Obsoletes:	Twisted < %{version}-%{release}
Provides:	Twisted = %{version}-%{release}
Obsoletes:	twisted < %{version}-%{release}
Provides:	twisted = %{version}-%{release}

%description
Twisted is an event-based framework for Internet applications.	It includes a
web server, a telnet server, a chat server, a news server, a generic client
and server for remote object access, and APIs for creating new protocols and
services. Twisted supports integration of the Tk, GTK+, Qt or wxPython event
loop with its main event loop. The Win32 event loop is also supported, as is
basic support for running servers on top of Jython.

Installing this package brings all Twisted sub-packages into your system.

%prep
%setup -T -c
install -p -m 0644 %{SOURCE0} README

%build

%install
rm -rf %{buildroot}
mkdir %{buildroot}
install -d %{buildroot}%{python_sitelib}
# Note: contents of SOURCE1 need updating for new releases
install -p -m 0644 %{SOURCE1} %{buildroot}%{python_sitelib}/Twisted-%{version}-py%{pybasever}.egg-info

%clean
rm -rf %{buildroot}

%files
%doc README
%{python_sitelib}/Twisted-%{version}-py%{pybasever}.egg-info

%changelog
* Wed Jun  6 2012 Paul Howarth <paul@city-fan.org> 12.1.0-1.0.cf
- update to 12.1.0, with requires for version 12.1.0 of sub-projects
- drop %%defattr, redundant since rpm 4.4

* Mon Feb 13 2012 Paul Howarth <paul@city-fan.org> 12.0.0-1.0.cf
- update to 12.0.0, with requires for version 12.0.0 of sub-projects
- twisted now requires python 2.5

* Mon Jan  9 2012 Paul Howarth <paul@city-fan.org> 11.1.0-2.0.cf
- Fedora 17 mass rebuild

* Fri Nov 18 2011 Paul Howarth <paul@city-fan.org> 11.1.0-1.0.cf
- update to 11.1.0, with requires for version 11.1.0 of sub-projects

* Mon Apr  4 2011 Paul Howarth <paul@city-fan.org> 11.0.0-1.0.cf
- update to 11.0.0, with requires for version 11.0.0 of sub-projects

* Tue Nov 30 2010 Paul Howarth <paul@city-fan.org> 10.2.0-1.0.cf
- update to 10.2.0, with requires for version 10.2.0 of sub-projects

* Tue Nov  9 2010 Paul Howarth <paul@city-fan.org> 10.1.0-3.1.cf
- move egg-info file from %%{python_sitearch} to %%{python_sitelib}
- go back to being a noarch package

* Mon Nov  8 2010 Paul Howarth <paul@city-fan.org> 10.1.0-3.0.cf
- add egg-info file
- no longer a noarch package
- BR/R python2 >= 2.4

* Mon Jul  5 2010 Paul Howarth <paul@city-fan.org> 10.1.0-1.0.cf
- update to 10.1.0, with requires for version 10.1.0 of sub-projects
- Twisted now requires python >= 2.4

* Thu Mar  4 2010 Paul Howarth <paul@city-fan.org> 10.0.0-1.0.cf
- update to 10.0.0, with requires for version 10.0.0 of sub-projects

* Wed Nov 25 2009 Paul Howarth <paul@city-fan.org> 9.0.0-1.0.cf
- update to 9.0.0, with requires for version 9.0.0 of sub-projects

* Tue Aug 11 2009 Paul Howarth <paul@city-fan.org> 8.2.0-3.0.cf
- define RPM macros in global scope

* Sun Jul 26 2009 Paul Howarth <paul@city-fan.org> 8.2.0-2.0.cf
- rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jan 16 2009 Paul Howarth <paul@city-fan.org> 8.2.0-1.0.CF
- update to 8.2.0, with requires for version 8.2.0 of sub-projects

* Fri Jan 16 2009 Paul Howarth <paul@city-fan.org> 8.1.0-2.0.CF
- minor spec file cleanups in line with Fedora version

* Mon May 19 2008 Paul Howarth <paul@city-fan.org> 8.1.0-1
- update to 8.1.0, with requires for version 8.1.0 of sub-projects except
  runner, still at 8.0.0

* Tue Apr  1 2008 Paul Howarth <paul@city-fan.org> 8.0.1-1
- update to 8.0.1, with requires for version 8.0.0 of sub-projects

* Thu Jan 11 2007 Paul Howarth <paul@city-fan.org> 2.5.0-1
- dispense with %%{python} and %%{origname} macros
- require appropriate minimum versions of the other Twisted packages
- preserve timestamp of README.fedora
- various cosmetic changes

* Wed Jan 03 2007 Thomas Vander Stichele <thomas at apestaart dot org>
- 2.4.0-2
- add a README.fedora
- made noarch, since it doesn't actually install any python twisted/ module
  code
- fixed provides/obsoletes

* Wed Jun 07 2006 Thomas Vander Stichele <thomas at apestaart dot org>
- 2.4.0-1
- this is now a pure umbrella package

* Mon Oct 10 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 2.1.0-1
- upstream release

* Tue Aug 23 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 2.0.1-1
- upstream release

* Mon Apr 04 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 2.0.0-2
- add zsh support

* Fri Mar 25 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 2.0.0-1
- final release

* Thu Mar 17 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 2.0.0-0.2.a3
- dropped web2

* Wed Mar 16 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 2.0.0-0.1.a3
- upstream release

* Sat Mar 12 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 2.0.0-0.1.a2
- new prerelease; FE versioning

* Mon Feb 07 2005 Jeff Pitman <symbiont+pyvault@berlios.de> 2.0.0a1-1
- prep for split

* Fri Aug 20 2004 Jeff Pitman <symbiont+pyvault@berlios.de> 1.3.0-1
- new version

* Mon Apr 19 2004 Jeff Pitman <symbiont+pyvault@berlios.de> 1.2.0-3
- vaultize

* Mon Apr 12 2004 Jeff Pitman <symbiont+pyvault@berlios.de> 1.2.0-2
- require pyOpenSSL, SOAPpy, openssh-clients, crypto, dia so trial can run

